unit MainForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  AniIcon, ExtCtrls, ComCtrls, Buttons;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    AnimatedIcon2: TAnimatedIcon;
    AnimatedIcon1: TAnimatedIcon;
    Panel2: TPanel;
    TrackBar1: TTrackBar;
    Panel3: TPanel;
    TrackBar2: TTrackBar;
    SpeedButton2: TSpeedButton;
    AniImageList1: tAniImageList;
    AniImageList2: tAniImageList;
    Panel4: TPanel;
    AnimatedFormIcon1: TAnimatedFormIcon;
    AniImageList3: tAniImageList;
    AnimatedIcon3: TAnimatedIcon;
    Image1: TImage;
    Image2: TImage;
    procedure FormCreate(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure TrackBar2Change(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure Panel4MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Panel4MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;
implementation

{$R *.DFM}
{$R images.res}

procedure TForm1.FormCreate(Sender: TObject);
begin
 AniImageList1.LoadAniBMPFromResource(1,True);
 AniImageList2.LoadAniBMPFromResource(2,false);
 AniImageList3.LoadAniIconsFromResource(5001,-1);
 AnimatedFormIcon1.Animated:=True;
 AnimatedIcon1.Animated:=True;
 AnimatedIcon3.Animated:=True;
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
 AnimatedIcon2.Delay:=TrackBar1.Position;
end;

procedure TForm1.TrackBar2Change(Sender: TObject);
begin
 AnimatedIcon1.Delay:=TrackBar2.Position;
end;

procedure TForm1.SpeedButton2Click(Sender: TObject);
begin
 AnimatedIcon1.Animated:=not SpeedButton2.Down;
end;

procedure TForm1.Panel4MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
 AnimatedIcon2.Animated:=True;
end;

procedure TForm1.Panel4MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
 AnimatedIcon2.Animated:=False;
end;

end.
